#pragma once

#include "CoreMinimal.h"
#include "WwiseAuxBusCookedData.h"
#include "WwiseLanguageCookedData.h"
#include "WwiseLocalizedAuxBusCookedData.generated.h"

USTRUCT(BlueprintType)
struct FWwiseLocalizedAuxBusCookedData
{
	GENERATED_BODY()

public:
	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	TMap<FWwiseLanguageCookedData, FWwiseAuxBusCookedData> AuxBusLanguageMap;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	FName DebugName;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	int32 AuxBusId;

public:
	WWISERESOURCELOADER_API FWwiseLocalizedAuxBusCookedData();
};

FORCEINLINE uint32 GetTypeHash(const FWwiseLocalizedAuxBusCookedData) { return 0; }
